curl -X GET "https://api.portkey.ai/v1/secret-references?current_page=0&page_size=20" \
-H "x-portkey-api-key: PORTKEY_API_KEY"
{
"total": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
]
}List Secret References
GET
/
secret-references
curl -X GET "https://api.portkey.ai/v1/secret-references?current_page=0&page_size=20" \
-H "x-portkey-api-key: PORTKEY_API_KEY"
{
"total": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Filter by secret manager type
Available options:
aws_sm, azure_kv, hashicorp_vault JSON-encoded object for tag filtering
Search by name
Required string length:
1 - 255Page index (0-based), defaults to 0
Required range:
x >= 0Items per page (1-100), defaults to 20
Required range:
1 <= x <= 100Last modified on May 21, 2026
Was this page helpful?
⌘I

